Page MenuHomePhabricator

🐛 UX Bug | Make error messages easier to process
Closed, ResolvedPublic

Description

Jan Dittrich has created a pull request resulting from this Asana ticket.

The pattern "Könnten Sie… überprüfen? Da scheint es ein Problem zu geben"
Was replaced by "Bitte geben Sie … an", since the errors are triggered when the form fields are empty.

Update: Email Address Error Message

Text für Fehlermeldung: "Die E-Mail-Adresse scheint nicht korrekt zu sein. Eine E-Mail-Addresse kann z.B. so aussehen: max@example.com"

Event Timeline

chrp created this task.Oct 31 2019, 10:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2019, 10:33 AM
chrp removed Tim_WMDE as the assignee of this task.Oct 31 2019, 10:34 AM
chrp added a project: WMDE-Fundraising-Tech.
chrp added a subscriber: Tim_WMDE.
Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptOct 31 2019, 10:34 AM
JanJaquemot added a subscriber: JanJaquemot.

This wasn't pulled yet, right?
Still seeiing the "Könnten Sie… überprüfen? Da scheint es ein Problem zu geben" pattern

Till and Jan had a discussion about this in Mattermost but I did not see any "okay, please go ahead and merge the pull request" comments on this from Till. This is a product decision, not a technical one so it's not on us to give the OK to merge this. Let me know if you want us to merge it.

Please merge. Thx!

Tim_WMDE removed Tim_WMDE as the assignee of this task.Nov 3 2019, 11:44 AM
chrp renamed this task from UX Bug: Make error messages easier to process to 🐛 UX Bug | Make error messages easier to process.Nov 4 2019, 2:13 PM
chrp moved this task from Code Review to Heap on the WMDE-FUN-Funban-2019 board.
JanJaquemot moved this task from Done to Doing on the WMDE-FUN-Funban-2019 board.Nov 5 2019, 10:03 AM

No blocker for the next few tests but this was fixed EXCEPT for the E-Mail error message which still shows the old format

gabriel-wmde moved this task from Doing to Heap on the WMDE-FUN-Funban-2019 board.Nov 5 2019, 3:52 PM

@Jan_Dittrich Could you suggest an error message or even open a PR for the email error message? Needs to be generic, as the code calls PHP's filter_var and then checks the hostname via DNS.

chrp updated the task description. (Show Details)Nov 21 2019, 9:05 AM

Text for message: "Die E-Mail-Adresse scheint nicht korrekt zu sein. Eine E-Mail-Addresse kann z.B. so aussehen: max@example.com"

chrp added a comment.Nov 21 2019, 9:48 AM

Text for message: "Die E-Mail-Adresse scheint nicht korrekt zu sein. Eine E-Mail-Addresse kann z.B. so aussehen: max@example.com"

Hehe, schon in der Beschreibung :)

kai.nissen closed this task as Resolved.Nov 25 2019, 12:07 PM
kai.nissen moved this task from Heap to Done on the WMDE-FUN-Funban-2019 board.